View Issue Details

IDProjectCategoryView StatusLast Update
00035623 - Current Dev ListBugpublic2019-11-11 05:26
ReporterWA9PIEAssigned ToK7ZCZ 
PrioritynormalSeverityminorReproducibilityalways
Status closedResolutionfixed 
Product Version 
Target VersionFixed in Version6.7.0.245 
Summary0003562: Latitude and Longitude in the Country section of the Lookup pane always displays "0.00, 0.00" when any enabled method is include
DescriptionWhen any callsign lookup method is used (in addition to Public UCSDB, Private UCSDB, and Country List), the Latitude and Longitude are displayed as "0.00, 0.00" in the Country section of the Lookup pane (rather than the "lat, long" for this country from the Country List.
Steps To Reproduce1. Open HRD Logbook
2. In Callsign Lookup options Enable tab, ensure that any callsign lookup option is included (for my repro, I used QRZ Subscription; but as long as there is one selected, this will repro).
3. On the top menu click on "VIEW" and select "Lookup"
4. The Lookup Pane will then be visible on the left side of the Logbook display.
5. Type "S51DX" (without quotes) into the Callsign field and either hit enter or allow enough time for the pane to be populated
6. Notice that the Lat & Long in the Country section of the Lookup pane does not populate properly. (see attached image)

BUG: The result is "0.00, 0.00" and it should be "46.02, 14.60" (with degree symbols after each).

If only Public UCSDB, Private UCSDB, and Country List are enabled, then the lat/long are correctly displayed.
Tags6.7 defects
ModuleLogbook
Sub-ModuleCall lookup
Testing Beta Successful

Relationships

related to 0003485 closedK7ZCZ Ham Radio Deluxe Logbook Lookup Pane does not fully populate 
has duplicate 0003559 closedWA9PIE 3 - Current Dev List V6.7.0.244 Logbook/Lookup Pane 

Activities

WA9PIE

2019-11-09 03:23

administrator  

K7ZCZ

2019-11-10 19:56

administrator   ~0009242

Fixed in this change set:
https://hrdsoftware.visualstudio.com/HRD/_versionControl/changeset/5284

PD9FER

2019-11-10 23:36

updater   ~0009244

confirm fixed in 6.7.0.245

WA9PIE

2019-11-11 05:26

administrator   ~0009253

Validated.

Issue History

Date Modified Username Field Change
2019-11-09 03:23 WA9PIE New Issue
2019-11-09 03:23 WA9PIE Tag Attached: 6.7 defects
2019-11-09 03:23 WA9PIE File Added: LookupPane-CountrySecton-LatLong.png
2019-11-09 03:24 WA9PIE Relationship added related to 0003485
2019-11-09 17:21 WA9PIE Status new => assigned
2019-11-09 17:21 WA9PIE Assigned To => K7ZCZ
2019-11-10 18:49 WA9PIE Relationship added has duplicate 0003559
2019-11-10 19:56 K7ZCZ Note Added: 0009242
2019-11-10 19:56 K7ZCZ Status assigned => resolved
2019-11-10 19:56 K7ZCZ Resolution open => fixed
2019-11-10 23:15 WA9PIE Fixed in Version => 6.7.0.245
2019-11-10 23:36 PD9FER Note Added: 0009244
2019-11-11 05:26 WA9PIE Status resolved => closed
2019-11-11 05:26 WA9PIE Steps to Reproduce Updated View Revisions
2019-11-11 05:26 WA9PIE Testing Not Started => Beta Successful
2019-11-11 05:26 WA9PIE Note Added: 0009253